× NETGEAR will be terminating ReadyCLOUD service by July 1st, 2023. For more details click here.
Orbi WiFi 7 RBE973
Reply

Re: Sonarr on 6.7

BSRdr
Aspirant

Sonarr on 6.7

I've been running Sonarr on my 516 pre 6.7 firmare successfully using the following instructions:

 

Putty in after enabling SSH

 

Install starts here:

 

apt-key adv --keyserver keyserver.ubuntu.com --recv-keys FDA5DFFC

 

echo "deb http://apt.sonarr.tv/ master main" | tee /etc/apt/sources.list.d/sonarr.list

 

apt-get update

 

apt-get install nzbdrone

 

Start and Test:

 

mono --debug /opt/NzbDrone/NzbDrone.exe

 

On PC check: http://NASNAME:8989 and it should load

 

Configure for autostart

 

apt-get install nano

 

nano /etc/init.d/nzbdrone

 

Paste in:

 

#! /bin/sh

### BEGIN INIT INFO

# Provides:          NzbDrone

# Required-Start:    $local_fs $network $remote_fs

# Required-Stop:     $local_fs $network $remote_fs

# Should-Start:      $NetworkManager

# Should-Stop:       $NetworkManager

# Default-Start:     2 3 4 5

# Default-Stop:      0 1 6

# Short-Description: starts instance of Sonarr

# Description:       starts instance of Sonarr using start-stop-daemon

### END INIT INFO

 

############### EDIT ME ##################

# path to app

APP_PATH=/opt/NzbDrone

 

# user

RUN_AS=root

 

# path to mono bin

DAEMON=/usr/bin/mono

 

# options for mono

DAEMON_OPTS=""

 

# Path to store PID file

PID_PATH=/var/run/nzbdrone

############### END EDIT ME ##################

mkdir -p ${PID_PATH}

PID_FILE=${PID_PATH}/nzbdrone.pid

EXENAME=`basename ${APP_PATH}/NzbDrone.exe`

DESC=`basename ${APP_PATH}/NzbDrone.exe .exe`

NZBDRONE_PID=`ps auxf | grep $EXENAME | grep -v grep | awk '{print $2}'`

 

test -x $DAEMON || { echo "$DAEMON must be executable."; exit 1; }

 

set -e

 

echo $NZBDRONE_PID > $PID_FILE

 

case "$1" in

start)

    if [ -z "${NZBDRONE_PID}" ]; then

        echo "Starting $DESC"

        rm ${PID_FILE} || return 1

        install -d --mode=0755 -o $RUN_AS $PID_PATH || return 1

        start-stop-daemon -d $APP_PATH -c $RUN_AS --start --background --pidfile $PID_FILE --exec $DAEMON -- $DAEMON_OPTS $EXENAME

    else

        echo "${DESC} already running."

    fi

    ;;

stop)

    echo "Stopping $DESC"

    echo $NZBDRONE_PID > $PID_FILE

    start-stop-daemon --stop --pidfile $PID_FILE --retry 15

    ;;

 

restart|force-reload)

    echo "Restarting $DESC"

    start-stop-daemon --stop --pidfile $PID_FILE --retry 15

    start-stop-daemon -d $APP_PATH -c $RUN_AS --start --background --pidfile $PID_FILE --exec $DAEMON -- $DAEMON_OPTS $EXENAME

    ;;

*)

     echo "Usage: `basename $0` {start|stop|restart|force-reload}" >&2   

     exit 1

    ;;  

 

esac

 

exit 0

 

 

Then hit Control X and Y leaving default path

 

chmod +x /etc/init.d/nzbdrone

 

update-rc.d nzbdrone defaults

 

service nzbdrone start

 

Now that 6.7 was released it appears to break it - I cannot get a reinstall due to a dependency failing in mono. 

 

apt-get install libmono-cil-dev


Fails out due to broken packages - anyone already figured this out? 

Message 1 of 17
F_L_
Tutor

Re: Sonarr on 6.7

Message 2 of 17
BSRdr
Aspirant

Re: Sonarr on 6.7

Hmm I'm still getting:

 

root@MediaNAS:~# apt-get install libmono-cil-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libmono-cil-dev : Depends: libmono-http4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-microsoft-web-infrastructure1.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-data-services4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-design4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-drawing4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-drawing-design4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-messaging4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-reactive-windows-forms2.2-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-runtime4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-servicemodel4.0a-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-servicemodel-activation4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-servicemodel-discovery4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-servicemodel-routing4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-servicemodel-web4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-serviceprocess4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-web4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-web-abstractions4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-web-dynamicdata4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-web-extensions4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-web-extensions-design4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-web-http-selfhost4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-web-http-webhost4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-web-mvc3.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-web-routing4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-web-services4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-web-webpages2.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-web-webpages-deployment2.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-web-webpages-razor2.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-windows-forms4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-windows-forms-datavisualization4.0a-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libmono-system-xml-serialization4.0-cil (= 4.2.1.102+dfsg2-6) but it is not going to be installed
Depends: libnunit-cil-dev (>= 2.4) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
root@MediaNAS:~#

Message 3 of 17
F_L_
Tutor

Re: Sonarr on 6.7

strange, did you do the apt-clean and autoclean ?

Message 4 of 17
BSRdr
Aspirant

Re: Sonarr on 6.7

I did indeed - I pasted the output showing that, but apparently it keeps getting killed. 

Message 5 of 17
BSRdr
Aspirant

Re: Sonarr on 6.7

Figured it out - had to nano out the repository from /etc/apt/sources.list.d/sonarr.list 

 

Totally user error on my part 🙂 Surprised no one has created a package for it yet

Message 6 of 17
JBDragon1
Virtuoso

Re: Sonarr on 6.7

I was having issues with my ReadyNAS 516, and figured what the hell, I'll wipe it and start over.  I had backup of my Data, and I took pictures of all my settings in PLEX, PlexPl, NZBGet, Sonarr, and CouchPotato.  Just in case I had issues with the config files.  Good thing I did that.

 

A big help in creating the autostart files I needed instead of using something like vim or in your case nano is a program called WinSCP.  Then I could go where I wanted easily, create a new file, Put in it what I needed, save it and change the permitions for it.  

 

So now I have NZBGet, Sonarr, and Radarr (CouchPotato Replacment) all running and autobooting.  If you like Sonarr, you'll like Radarr.  It's still in deveopment, but seems to work just fine.  NZBGet I couldn't update from in the program when I installed a 17.1 deb version.  Installing by SSH, that now works.  So they can all update from in the program.   PlexPl will also update in it's own program, even though I installed that the normal deb file way.  Plex I have to do as always, shut it down, and install a new deb copy and then turn it back on.  

 

Running OS 6.7.4

 

It would be nice if there was a package for all of them and they all worked like they should.  You have to do what you have to do.  Thank goodness for Google.  Hunting down that data I needed to know to get it all working.

 

 

Message 7 of 17
JBDragon1
Virtuoso

Re: Sonarr on 6.7

Does anyone know how to install a newer version of MONO?  Right now I have Debian 4.2.1.102+dfsg2-6 installed even though there's a stable 5.0.1.1 version.  I keep trying to do what the instructions says, but I keep being told there isn't a newer version.  I'm following the directions here, and still, it won't go newer.

http://www.mono-project.com/download/#download-lin-debian

 

This is on my ReadyNAS 516.  I'm stumped.  I'm not a Linux expert.  I'm following directions for Debian 8.  Just no go.

 

Message 8 of 17

Re: Sonarr on 6.7

Tried this and getting

 

root@NG-NAS:/etc/apt# apt-get install nzbdrone
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package nzbdrone

Message 9 of 17
TeknoJnky
Hero

Re: Sonarr on 6.7

it can't find the package it doesn't seem you have added the repository (or didn't add it correctly).

 

also before you add the nzbdrone repo, you should use apt-get to install mono first

 

apt-get install libmono-cil-dev
Message 10 of 17

Re: Sonarr on 6.7

libmono-cil-dev is already the newest version (4.2.1.102+dfsg2-6).

 

Reading package lists... Done
W: The repository 'http://apt.sonarr.tv/4 master Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'http://us.archive.ubuntu.com/ubuntu/93 trusty Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'http://us.archive.ubuntu.com/ubuntu/93 trusty-updates Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch http://apt.sonarr.tv/4/dists/master/main/binary-amd64/Packages 404 Not Found
E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/93/dists/trusty/universe/binary-amd64/Packages 404 Not Found [IP: 91.189.91.23 80]
E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/93/dists/trusty-updates/universe/binary-amd64/Packages 404 Not Found [IP: 91.189.91.23 80]
E: Some index files failed to download. They have been ignored, or old ones used instead.

Message 11 of 17
TeknoJnky
Hero

Re: Sonarr on 6.7

you have the a bad repo in one of your lists.

 

there shouldn't be any 'trusty' repo, os6 is using debian 'jessie'

 

the instructions at the top of the thread worked for me.

 

also, it seems any time you upgrade os6, you have to re-enter this command;

 

apt-key adv --keyserver keyserver.ubuntu.com --recv-keys FDA5DFFC

 

Message 12 of 17

Re: Sonarr on 6.7

On the link above it says to add

Second add new Repos

add-apt-repository "deb http://us.archive.ubuntu.com/ubuntu/93 trusty universe multiverse"
add-apt-repository "deb http://us.archive.ubuntu.com/ubuntu/93 trusty-updates universe multiverse"

 

Message 13 of 17

Re: Sonarr on 6.7

Now I get

 

root@NG-NAS:~# apt-get install nzbdrone
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package nzbdrone

 

 

root@NG-NAS:~# apt-get update
Hit:1 http://egnyte-cdn.egnyte.com/storagesync/netgear6/en-us 6.7 InRelease
Get:2 http://security.debian.org jessie/updates InRelease [63.1 kB]
Ign:3 http://apt.sonarr.tv/4 master InRelease
Ign:4 http://apt.sonarr.tv/4 master Release
Hit:5 http://apt.readynas.com/packages/readynasos 6.7.5 InRelease
Ign:6 http://apt.sonarr.tv/4 master/main amd64 Packages
Ign:7 http://apt.sonarr.tv/4 master/main all Packages
Ign:8 http://mirrors.kernel.org/debian jessie InRelease
Ign:6 http://apt.sonarr.tv/4 master/main amd64 Packages
Ign:7 http://apt.sonarr.tv/4 master/main all Packages
Hit:9 http://mirrors.kernel.org/debian jessie Release
Ign:6 http://apt.sonarr.tv/4 master/main amd64 Packages
Ign:7 http://apt.sonarr.tv/4 master/main all Packages
Ign:6 http://apt.sonarr.tv/4 master/main amd64 Packages
Ign:7 http://apt.sonarr.tv/4 master/main all Packages
Get:10 http://security.debian.org jessie/updates/main amd64 Packages [424 kB]
Ign:6 http://apt.sonarr.tv/4 master/main amd64 Packages
Ign:7 http://apt.sonarr.tv/4 master/main all Packages
Err:6 http://apt.sonarr.tv/4 master/main amd64 Packages
404 Not Found
Ign:7 http://apt.sonarr.tv/4 master/main all Packages
Fetched 487 kB in 1s (334 kB/s)
Reading package lists... Done
W: The repository 'http://apt.sonarr.tv/4 master Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch http://apt.sonarr.tv/4/dists/master/main/binary-amd64/Packages 404 Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.

Message 14 of 17
TeknoJnky
Hero

Re: Sonarr on 6.7

I don't know what link your following but trusty is a different version of linux and obviously will not work on your readynas which uses debian jessie, not trusty..

 

 

Follow the steps in the very first post of this thread, ignore that post about mono version 5.

 

 

Message 15 of 17
TeknoJnky
Hero

Re: Sonarr on 6.7

did you do this?

 

apt-key adv --keyserver keyserver.ubuntu.com --recv-keys FDA5DFFC
Message 16 of 17

Re: Sonarr on 6.7

Yes I did that

Message 17 of 17
Top Contributors
Discussion stats
  • 16 replies
  • 6333 views
  • 0 kudos
  • 5 in conversation
Announcements